Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.management
Class CascadingServices.NullMetricsService

    java.lang.Object
      cascading.management.CascadingServices.NullMetricsService

All Implemented Interfaces:
  MetricsService, CascadingService

Enclosing class:
  CascadingServices

    public static class CascadingServices.NullMetricsService

extends Object
implements MetricsService

Class NullMetricsService provides a null implementation.

Field Summary

Fields inherited from interface cascading.management.MetricsService
`METRICS_SERVICE_CLASS_PROPERTY`

Constructor Summary
`CascadingServices.NullMetricsService()`

Method Summary
`boolean` | `compareSet(String[] context, int isValue, int toValue)`
`boolean` | `compareSet(String[] context, long isValue, long toValue)`
`boolean` | `compareSet(String[] context, String isValue, String toValue)`
`int` | `getInt(String[] context)`
`long` | `getLong(String[] context)`
`String` | `getString(String[] context)`
`void` | `increment(String[] context, int amount)`
`boolean` | `isEnabled()` Returns true if this service has been enabled.
`void` | `set(String[] context, int value)`
`void` | `set(String[] context, long value)`
`void` | `set(String[] context, String value)`
`void` | `setProperties(Map<Object,Object> properties)`
`void` | `startService()` May be called more than once, but only the first invocation will start the service.
`void` | `stopService()` May be called more than once, but only the first invocation will stop the service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CascadingServices.NullMetricsService

    public CascadingServices.NullMetricsService()

Method Detail

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `CascadingService`
  Returns true if this service has been enabled.

  Specified by:
    `isEnabled` in interface `CascadingService`
  Returns:
    boolean

### increment

    public void increment(String[] context,
                          int amount)

  Specified by:
    `increment` in interface `MetricsService`

### set

    public void set(String[] context,
                    String value)

  Specified by:
    `set` in interface `MetricsService`

### set

    public void set(String[] context,
                    int value)

  Specified by:
    `set` in interface `MetricsService`

### set

    public void set(String[] context,
                    long value)

  Specified by:
    `set` in interface `MetricsService`

### getString

    public String getString(String[] context)

  Specified by:
    `getString` in interface `MetricsService`

### getInt

    public int getInt(String[] context)

  Specified by:
    `getInt` in interface `MetricsService`

### getLong

    public long getLong(String[] context)

  Specified by:
    `getLong` in interface `MetricsService`

### compareSet

    public boolean compareSet(String[] context,
                              String isValue,
                              String toValue)

  Specified by:
    `compareSet` in interface `MetricsService`

### compareSet

    public boolean compareSet(String[] context,
                              int isValue,
                              int toValue)

  Specified by:
    `compareSet` in interface `MetricsService`

### compareSet

    public boolean compareSet(String[] context,
                              long isValue,
                              long toValue)

  Specified by:
    `compareSet` in interface `MetricsService`

### setProperties

    public void setProperties(Map<Object,Object> properties)

  Specified by:
    `setProperties` in interface `CascadingService`

### startService

    public void startService()

  Description copied from interface: `CascadingService`
  May be called more than once, but only the first invocation will start the service.

  Specified by:
    `startService` in interface `CascadingService`

### stopService

    public void stopService()

  Description copied from interface: `CascadingService`
  May be called more than once, but only the first invocation will stop the service.

  Specified by:
    `stopService` in interface `CascadingService`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.